gio.OutputStream
Prev | PyGio Class Reference | Next

## gio.OutputStream

gio.OutputStream — Base class for implementing streaming input

## Synopsis

    class gio.OutputStream(gobject.GObject):
        def clear_pending()
        def close(cancellable=None)
        def close_async(callback, io_priority=glib.PRIORITY_DEFAULT, cancellable=None, user_data=None)
        def close_finish(result)
        def flush(cancellable=None)
        def flush_async(callback, io_priority=glib.PRIORITY_DEFAULT, cancellable=None, user_data=None)
        def flush_finish(result)
        def has_pending()
        def is_closed()
        def set_pending()
        def splice(cancellable=None, flags=gio.OUTPUT_STREAM_SPLICE_NONE)
        def splice_async(source, callback, flags=gio.OUTPUT_STREAM_SPLICE_NONE, io_priority=glib.PRIORITY_DEFAULT, cancellable=None, user_data=None)
        def splice_finish(result)
        def write(buffer, cancellable=None)
        def write_async(buffer, callback, io_priority=glib.PRIORITY_DEFAULT, cancellable=None, user_data=None)
        def write_finish(result)

## Ancestry

    +-- gobject.GObject
      +-- gio.OutputStream

## Description

`gio.OutputStream` has functions to write from a stream ( `gio.OutputStream.write`() ), to close a stream ( `gio.OutputStream.close`() ) and to flush pending writes ( `gio.OutputStream.flush`() ).

To copy the content of an input stream to an output stream without manually handling the reads and writes, use `gio.OutputStream.splice`().

All of these functions have async variants too.

## Methods

Unfinished section, you may want to see the relevant C API docs for methods descriptions.

Prev | Up | Next
gio.MountOperation | Home | gio.Seekable